Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.epochx.representation.dbl
Class HyperbolicCosineFunction

    java.lang.Object
      com.epochx.representation.Node<TYPE>
          com.epochx.representation.FunctionNode<java.lang.Double>
              com.epochx.representation.dbl.HyperbolicCosineFunction

All Implemented Interfaces:
  java.lang.Cloneable

    public class HyperbolicCosineFunction

extends FunctionNode<java.lang.Double>

A `FunctionNode` which performs the hyperbolic trigonometric function of hyperbolic cosine.

Constructor Summary
`HyperbolicCosineFunction()` Construct a HyperbolicCosineFunction with no children.
`HyperbolicCosineFunction(Node<java.lang.Double> child)` Construct a HyperbolicCosineFunction with one child.

Method Summary
`java.lang.Double` | `evaluate()` Evaluating an `HyperbolicCosineFunction` involves calculating the hyperbolic cosine of the child once it has also been evaluated.
`java.lang.String` | `getFunctionName()` Get the unique name that identifies this function.

Methods inherited from class com.epochx.representation.FunctionNode
`equals, toString`

Methods inherited from class com.epochx.representation.Node
`clone, getArity, getChild, getChildren, getDepth, getFunctionNodes, getLength, getNodesAtDepth, getNoDistinctFunctions, getNoDistinctTerminals, getNoFunctions, getNoTerminals, getNthNode, getTerminalNodes, hashCode, setChild, setChildren, setNthNode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HyperbolicCosineFunction

    public HyperbolicCosineFunction()

  Construct a HyperbolicCosineFunction with no children.

### HyperbolicCosineFunction

    public HyperbolicCosineFunction(Node<java.lang.Double> child)

  Construct a HyperbolicCosineFunction with one child. When evaluated, the child will first be evaluated with hyperbolic cosine performed on the result.

  Parameters:
    `child` - The child which hyperbolic cosine will be performed on.

Method Detail

### evaluate

    public java.lang.Double evaluate()

  Evaluating an `HyperbolicCosineFunction` involves calculating the hyperbolic cosine of the child once it has also been evaluated.

  Specified by:
    `evaluate` in class `Node<java.lang.Double>`
  Returns:
    The result of evaluating the candidate program.

### getFunctionName

    public java.lang.String getFunctionName()

  Get the unique name that identifies this function.

  Specified by:
    `getFunctionName` in class `FunctionNode<java.lang.Double>`
  Returns:
    the unique name for the HyperbolicCosineFunction which is COSH.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD